Summary: Small CAMK ntp client
Name: ntpwatchd
Version: 0.1
Release: 3kl
License: GPL/BSD/Perl/Apache
Group: System Environment/Daemons
URL: http://users.camk.edu.pl/%{name}
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: /usr/bin/diet
Requires: /usr/bin/perl

%description
Very simple SNTP daemon

%prep
%setup -q

%build
ln -s /usr/include/sys/timex.h 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/libexec/
cp ntpwatchd ntpwatchd.pl $RPM_BUILD_ROOT/usr/libexec/
cp ntpwatchd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpwatchd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/libexec/ntpwatchd
/usr/libexec/ntpwatchd.pl
/etc/rc.d/init.d/ntpwatchd

%post
/sbin/chkconfig --add ntpwatchd

%preun
/sbin/service ntpwatchd stop || true
/sbin/chkconfig --del ntpwatchd


%changelog
* Mon Feb  4 2008 Krzysztof Leszczyński <chris@camk.edu.pl> - 
- Initial build.

